Bug 499323 - Review Request: jack_capture - Record sound files with JACK
Review Request: jack_capture - Record sound files with JACK
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 499316
Blocks: 499975
  Show dependency treegraph
 
Reported: 2009-05-06 02:34 EDT by Orcan Ogetbil
Modified: 2009-05-28 04:16 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.9.34-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-28 04:06:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-05-06 02:34:25 EDT
Spec URL: http://oget.fedorapeople.org/review/jack_capture.spec
SRPM URL: http://oget.fedorapeople.org/review/jack_capture-0.9.32-1.fc10.src.rpm
Description: 
Jack_capture is a program for recording soundfiles with JACK. It's default
operation is to capture whatever sound is going out to your speakers into a
file, but it can do a number of other operations as well.

rpmlint is silent.
Comment 1 Parag AN(पराग) 2009-05-08 01:03:25 EDT
Build failed for ppc64
http://koji.fedoraproject.org/koji/taskinfo?taskID=1342627
Comment 2 Orcan Ogetbil 2009-05-08 01:41:54 EDT
Any suggestions how to fix it? I don't know assembler.
Comment 3 Parag AN(पराग) 2009-05-08 03:38:41 EDT
its because its looking into atomic/lffifoIntel.c on ppc64 whereas it should look into atomic/lffifoppc.c
Comment 4 Orcan Ogetbil 2009-05-08 15:15:28 EDT
Ah, my stupidity. The upstream just made a new release including the previous patches right before I sent them the ppc64 patch. That one will go to the next release.

Spec URL: http://oget.fedorapeople.org/review/jack_capture.spec
SRPM URL:
http://oget.fedorapeople.org/review/jack_capture-0.9.33-1.fc10.src.rpm
Changelog: 0.9.33-1
- Update to 0.9.33
- Drop upstreamed patches
- Fix the build failure on ppc64

koji rawhide build is fine:
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1344058
Comment 5 Parag AN(पराग) 2009-05-12 00:17:15 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1344058
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
9de2b10cf891fe3a2f878d6a67e41ff58a403d1b  jack_capture-0.9.33.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ gtk-update-icon-cache scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop file installed correctly.
+ a GUI application

APPROVED.
Comment 6 Orcan Ogetbil 2009-05-12 00:33:50 EDT
Thank you for the review!

New Package CVS Request
=======================
Package Name: jack_capture
Short Description: Record sound files with JACK
Owners: oget
Branches: F-9 F-10 F-11
InitialCC:
Comment 7 Kevin Fenzi 2009-05-13 01:05:04 EDT
cvs done.
Comment 8 Fedora Update System 2009-05-13 02:29:48 EDT
jack_capture-0.9.33-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/jack_capture-0.9.33-1.fc11
Comment 9 Fedora Update System 2009-05-13 02:30:39 EDT
jack_capture-0.9.33-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/jack_capture-0.9.33-1.fc10
Comment 10 Fedora Update System 2009-05-13 02:31:18 EDT
jack_capture-0.9.33-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/jack_capture-0.9.33-1.fc9
Comment 11 Fedora Update System 2009-05-13 22:53:50 EDT
jack_capture-0.9.33-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jack_capture'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4936
Comment 12 Fedora Update System 2009-05-13 22:54:44 EDT
jack_capture-0.9.33-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update jack_capture'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4942
Comment 13 Fedora Update System 2009-05-13 22:58:02 EDT
jack_capture-0.9.33-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jack_capture'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4969
Comment 14 Fedora Update System 2009-05-20 19:53:17 EDT
jack_capture-0.9.34-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update jack_capture'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4942
Comment 15 Fedora Update System 2009-05-20 19:55:19 EDT
jack_capture-0.9.34-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jack_capture'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4936
Comment 16 Fedora Update System 2009-05-20 19:59:18 EDT
jack_capture-0.9.34-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jack_capture'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4969
Comment 17 Fedora Update System 2009-05-28 04:06:42 EDT
jack_capture-0.9.34-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-05-28 04:14:27 EDT
jack_capture-0.9.34-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-05-28 04:16:43 EDT
jack_capture-0.9.34-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.